Package wx :: Package py :: Module filling :: Class FillingTree

[frames | no frames]

## Type FillingTree

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      TreeCtrl --+
                                 |
                                FillingTree

FillingTree based on TreeCtrl.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, rootObject, rootLabel, rootIsNamespace, static)` Create FillingTree instance.
| `addChildren(self, item)`
| `display(self)`
| ``getFullName`(self, item, partial)` Return a syntactically proper name for item.
| ``objGetChildren`(self, obj)` Return dictionary with attributes or contents of object.
| ``objHasChildren`(self, obj)` Return true if object has children.
| ``OnItemActivated`(self, event)` Launch a DirFrame.
| ``OnItemCollapsed`(self, event)` Remove all children from the item.
| ``OnItemExpanding`(self, event)` Add children to the item.
| ``OnSelChanged`(self, event)` Display information about the item.
| ``push`(self, command, more)` Receiver for Interpreter.push signal.
| ``setStatusText`(self, text)` Display status information.
| ``setText`(self, text)` Display information about the current selection.

Property Summary

Class Variable Summary
`str` | `name` = `'Filling Tree'`
`str` | `revision` = `'1.7'`

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=5, rootObject=None, rootLabel=None, rootIsNamespace=False, static=False)
(Constructor)

Create FillingTree instance.

  Overrides:
    `wx.TreeCtrl.__init__`

### getFullName(self, item, partial='')

Return a syntactically proper name for item.

### objGetChildren(self, obj)

Return dictionary with attributes or contents of object.

### objHasChildren(self, obj)

Return true if object has children.

### OnItemActivated(self, event)

Launch a DirFrame.

### OnItemCollapsed(self, event)

Remove all children from the item.

### OnItemExpanding(self, event)

Add children to the item.

### OnSelChanged(self, event)

Display information about the item.

### push(self, command, more)

Receiver for Interpreter.push signal.

### setStatusText(self, text)

Display status information.

### setText(self, text)

Display information about the current selection.

Class Variable Details

### name

  Type:
    `str`
  Value:

        'Filling Tree'

### revision

  Type:
    `str`
  Value:

        '1.7'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net